View Issue Details

IDProjectCategoryView StatusLast Update
0003359SymmetricDSImprovementpublic2018-02-14 15:08
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.3 
Target Version3.9.3Fixed in Version3.9.3 
Summary0003359: Safeguard against initial.load.delete being routed to the wrong node
DescriptionWhen using initial.load.delete.first, sym_data entries are created with event_type='S' and pre-routed to the proper node. However, if the sym_data_events are even manually removed, or the sym_data entry is re-routed for any reason (such as overlapping data_gaps), the initial.load.delete.first DELETE sql is sent to ALL nodes for the default router.

Guard against this behavior by simply getting the node_list on the sym_data to the target node of the load only.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 6cd07c77

2018-01-09 15:23:13

mmichalek

Details Diff
0003359: Safeguard against initial.load.delete being routed to the wrong
node

0003359
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2018-01-09 15:22 mmichalek New Issue
2018-01-09 15:22 mmichalek Status new => assigned
2018-01-09 15:22 mmichalek Assigned To => mmichalek
2018-01-09 15:26 mmichalek Status assigned => resolved
2018-01-09 15:26 mmichalek Resolution open => fixed
2018-01-09 15:26 mmichalek Fixed in Version => 3.9.3
2018-01-22 08:38 chenson Status resolved => closed
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 6cd07c77